Opened 2 years ago

Last modified 20 months ago

#57187 assigned defect

non-existent port py36-ffc

Reported by: ADimits (Andris Dimits) Owned by:
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: py-ffc

Description (last modified by mf2k (Frank Schima))

non-existent port py36-ffc - breaks ports that depend on it.

e.g.,

[n9287103:~] dimits1% sudo port install dolfin +mpich_devel +hdf5 +parmetis +petsc +slepc +suitesparse
--->  Computing dependencies for dolfin
The following dependencies will be installed:  py36-ffc
Continue? [Y/n]: y
--->  Fetching distfiles for py36-ffc
Error: Failed to fetch py36-ffc: py-ffc needs boost installed with a mpi variant 
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-ffc/py36-ffc/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port dolfin failed
[n9287103:~] dimits1% sudo port clean dolfin
--->  Cleaning dolfin
[n9287103:~] dimits1% sudo port install dolfin +mpich_devel
--->  Computing dependencies for dolfin
The following dependencies will be installed:  py36-ffc
Continue? [Y/n]: y
--->  Fetching distfiles for py36-ffc
Error: Failed to fetch py36-ffc: py-ffc needs boost installed with a mpi variant 
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-ffc/py36-ffc/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port dolfin failed
[n9287103:~] dimits1% sudo port install py-ffc
--->  Computing dependencies for py-ffc
The following dependencies will be installed:  py36-ffc
Continue? [Y/n]: y
--->  Fetching distfiles for py36-ffc
Error: Failed to fetch py36-ffc: py-ffc needs boost installed with a mpi variant 
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-ffc/py36-ffc/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port py-ffc failed

Attachments (2)

main.log (110.2 KB) - added by ADimits (Andris Dimits) 2 years ago.
log of attempt to fetch py36-ffc sources
main.log.zip (6.0 KB) - added by ADimits (Andris Dimits) 2 years ago.

Download all attachments as: .zip

Change History (14)

Changed 2 years ago by ADimits (Andris Dimits)

Attachment: main.log added

log of attempt to fetch py36-ffc sources

comment:1 Changed 2 years ago by ADimits (Andris Dimits)

[n9287103:~] dimits1% port version Version: 2.5.2

comment:2 Changed 2 years ago by mf2k (Frank Schima)

In the future, please use WikiFormatting.

comment:3 Changed 2 years ago by mf2k (Frank Schima)

Description: modified (diff)
Keywords: py36-ffc py-ffc dolfin removed

comment:4 Changed 2 years ago by mf2k (Frank Schima)

Owner: set to seanfarley
Port: dolfin added
Status: newassigned

py36-ffc exists. It is saying:

Failed to fetch py36-ffc: py-ffc needs boost installed with a mpi variant 
Last edited 2 years ago by mf2k (Frank Schima) (previous) (diff)

comment:5 Changed 2 years ago by mf2k (Frank Schima)

Resolution: invalid
Status: assignedclosed

comment:6 Changed 2 years ago by ADimits (Andris Dimits)

Resolution: invalid
Status: closedreopened

Frank and Sean - Thanks for looking at this so quickly.

Sorry - The boost message seems to be a red herring. I encountered this problem yesterday when I had boost installed with +mpich_devel. I put back +mpich_devel in my boost installation, but that has no effect.

There seems to be some confusion in the port files between py-ffc and py36-ffc, and things still do not work for me. Or am I misinterpreting the message? See below:

[n9287103:~/.ssh] dimits1% sudo port uninstall boost Password: ---> Deactivating boost @1.66.0_3+no_single+no_static+python27 ---> Cleaning boost ---> Uninstalling boost @1.66.0_3+no_single+no_static+python27 ---> Cleaning boost [n9287103:~/.ssh] dimits1% sudo port clean boost ---> Cleaning boost [n9287103:~/.ssh] dimits1% sudo port install dolfin +mpich_devel ---> Computing dependencies for dolfin The following dependencies will be installed:

boost py36-ffc

Continue? [Y/n]: y ---> Fetching archive for boost ---> Attempting to fetch boost-1.66.0_3+mpich_devel+no_single+no_static+python27.darwin_17.x86_64.tbz2 from https://packages.macports.org/boost ---> Attempting to fetch boost-1.66.0_3+mpich_devel+no_single+no_static+python27.darwin_17.x86_64.tbz2 from http://sea.us.packages.macports.org/macports/packages/boost ---> Attempting to fetch boost-1.66.0_3+mpich_devel+no_single+no_static+python27.darwin_17.x86_64.tbz2 from http://ywg.ca.packages.macports.org/mirror/macports/packages/boost ---> Fetching distfiles for boost ---> Verifying checksums for boost ---> Extracting boost ---> Applying patches to boost ---> Configuring boost ---> Building boost ---> Staging boost into destroot ---> Installing boost @1.66.0_3+mpich_devel+no_single+no_static+python27 ---> Activating boost @1.66.0_3+mpich_devel+no_single+no_static+python27 ---> Cleaning boost ---> Fetching distfiles for py36-ffc Error: Failed to fetch py36-ffc: py-ffc needs boost installed with a mpi variant Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_python_py-ffc/py36-ffc/main.log for details. Error: Follow https://guide.macports.org/#project.tickets to report a bug. Error: Processing of port dolfin failed

Changed 2 years ago by ADimits (Andris Dimits)

Attachment: main.log.zip added

comment:7 Changed 2 years ago by ADimits (Andris Dimits)

[n9287103:~/macports] dimits1% port installed | grep boost

boost @1.66.0_3+mpich_devel+no_single+no_static+python27 (active)

comment:8 Changed 2 years ago by mf2k (Frank Schima)

Port: py-ffc added; dolfin removed

comment:9 Changed 2 years ago by mf2k (Frank Schima)

The message and test is coming from py-ffc.

comment:10 Changed 2 years ago by ADimits (Andris Dimits)

I figured out roughly what the problem was.

The test in the portfile that trigers the build failure is

post-fetch {

if {![file exists ${python.pkgd}/boost/mpi.so]} {

return -code error "${name} needs boost installed with a mpi variant "

So, I went looking for boost/mpi.so in the python3.6 site packages directory. It wasn't there. It turned out that the boost variant installed by the attempts to install dolfin or py-ffc was

boost-1.66.0_3+mpich_devel+no_single+no_static+python27

which is not the one they actually need. I have not figured out what controls this choice of boost variant, but at present the fix/kludge seems to be to manually install boost with the +python36 variant instead of letting the boost or py-ffc choose the variant.

comment:11 Changed 23 months ago by albertohe

I am also trying to install python dolfin,

sudo port install py-dolfin ---> Computing dependencies for py-dolfinw The following dependencies will be installed:

dolfin py36-dolfin py36-ffc py36-ply pybind11 python36 python3_select

Continue? [Y/n]: Y ---> Fetching distfiles for py36-ffc Error: Failed to fetch py36-ffc: py36-ffc needs boost installed with an mpi variant Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_python_py-ffc/py36-ffc/main.log for details. Error: Follow https://guide.macports.org/#project.tickets to report a bug. Error: Processing of port py-dolfin failed

I also test that the boost already installed with openmpi port installed | grep boost

boost @1.66.0_3+no_single+no_static+openmpi+python27 (active)

anyone can help me? Thanks!

comment:12 Changed 20 months ago by mf2k (Frank Schima)

Owner: seanfarley deleted
Status: reopenedassigned
Note: See TracTickets for help on using tickets.